Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.util.collections
Interface BoundedConcurrentHashMap.EvictionListener<K,V>

Enclosing class:
  BoundedConcurrentHashMap<K,V>

    public static interface BoundedConcurrentHashMap.EvictionListener<K,V>

Method Summary
`void` | `onEntryChosenForEviction(V internalCacheEntry)`
`void` | `onEntryEviction(Map<K,V> evicted)`

Method Detail

### onEntryEviction

    void onEntryEviction(Map<K,V> evicted)

### onEntryChosenForEviction

    void onEntryChosenForEviction(V internalCacheEntry)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.